cascading.tuple

## Class TupleChainIterable

- java.lang.Object
- - cascading.tuple.TupleChainIterable

- All Implemented Interfaces:
    Resettable<Iterable<Tuple>>, Iterable<Tuple>

      public class TupleChainIterable
      extends Object
      implements Iterable<Tuple>, Resettable<Iterable<Tuple>>

  TupleChainIterator chains the given Iterators into a single Iterator.

  As one iterator is completed, it will be closed and a new one will start.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TupleChainIterable(Iterable<Tuple> first, Iterable<Tuple>... iterables)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<Tuple>` | `iterator()`
    `void` | `reset(Iterable<Tuple>... iterables)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TupleChainIterable

          public TupleChainIterable(Iterable<Tuple> first,
                            Iterable<Tuple>... iterables)

  - ### Method Detail

    - #### iterator

          public Iterator<Tuple> iterator()

      Specified by:
        `iterator` in interface `Iterable<Tuple>`

    - #### reset

          public void reset(Iterable<Tuple>... iterables)

      Specified by:
        `reset` in interface `Resettable<Iterable<Tuple>>`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.